# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Python_learn
# FileName:      read_db.py
# Author:       xxxxxxx
# Datetime:     2023-08-07 19:09
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql

from learn.example0807.common.read_ini import ReadIni


class DB:
    def __init__(self):
        read_ini = ReadIni()
        self.coon = pymysql.connect(
                                    host=read_ini.get_sqlepath("host"),
                                    port=int(read_ini.get_sqlepath("port")),
                                    password=read_ini.get_sqlepath("pwd"),
                                    user=read_ini.get_sqlepath("user"),
                                    database=read_ini.get_sqlepath("database"),
                                    charset="utf8"
                                    )
        self.cursor = self.coon.cursor()

    def close(self):
        self.cursor.close()
        self.coon.close()

    def delete_data(self, sql_sentence):
        self.cursor.execute(sql_sentence)
        self.coon.commit()

    def select_data(self,sql_sentence):
        self.cursor.execute(sql_sentence)
        select_result = self.cursor.fetchall()
        if select_result:
            return select_result[0][0]


if __name__ == '__main__':
    db = DB()
    sql = """SELECT ID_ FROM uc_demension WHERE `CODE_`="test56_dem";"""
    print(db.select_data(sql))
