# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Python_learn
# FileName:      requests_method.py
# Author:       xxxxxxx
# Datetime:     2023-08-08 6:04
# Description:
# 
# ---------------------------------------------------------------------------
import base64

import requests

from learn.example0807.common.read_excel import ReadExcel
from learn.example0807.common.read_ini import ReadIni


class Requests:
    def __init__(self):
        read_excel = ReadExcel()
        read_ini = ReadIni()
        self.host = read_ini.get_hostpath("test_bpm")+"/auth"
        data = {"username":"admin","password":"123456"}
        data["password"] = base64.b64encode("123456".encode("utf-8")).decode("utf-8")
        self.sessions = requests.sessions.Session()
        token = self.sessions.post(url=self.host,json=data).json().get("token")
        self.sessions.headers["Authorization"] = "Bearer "+token

    def request_all(self, req_method, req_url, req_mime, case_data):
        if req_mime == "json" or req_mime == "application/json":
            return self.sessions.request(method=req_method, url=req_url, json=case_data)
        elif req_mime == "x-www-form-urlencoded" or req_mime == "application/x-www-form-urlencoded":
            return self.sessions.request(method=req_method, url=req_url, data=case_data)
        elif req_mime == "form-data" or req_mime == "multipart/form-data":
            return self.sessions.request(method=req_method, url=req_url, files=case_data)
        elif req_mime == "query" or req_mime == "params":
            return self.sessions.request(method=req_method, url=req_url, params=case_data)
        elif req_mime == "application/json|query" or req_mime == "json|query" or req_mime == "query|json":
            return self.sessions.request(method=req_method, url=req_url, params=case_data["query"], json=case_data["body"])
        elif req_mime == "text/plain" or req_mime == "text":
            return self.sessions.request(method=req_method, url=req_url, data=case_data)
        elif req_mime is None:
            return self.sessions.request(method=req_method, url=req_url)
        else:
            raise NameError("传入的媒体类型的名称错误")

if __name__ == '__main__':
    req = Requests()
    print(req)